package com.keyware.composeanalysis.constant;


import java.util.*;


/**
 * 常见语言缓存标识
 */

public class FixedValue {
	//压缩格式
	public final static Set<String> COMPRESSED_FORMAT = new HashSet<String>();

	static {
		COMPRESSED_FORMAT.add(".exe");
		COMPRESSED_FORMAT.add(".msi");
		COMPRESSED_FORMAT.add(".zip");
		COMPRESSED_FORMAT.add(".rar");
		COMPRESSED_FORMAT.add(".tar");
		COMPRESSED_FORMAT.add(".jar");
		COMPRESSED_FORMAT.add(".war");
		COMPRESSED_FORMAT.add(".tar.gz");
		COMPRESSED_FORMAT.add(".gz");
		COMPRESSED_FORMAT.add(".tar.bz2");
		COMPRESSED_FORMAT.add(".bz2");
		COMPRESSED_FORMAT.add(".tar.z");
		COMPRESSED_FORMAT.add(".z");
		COMPRESSED_FORMAT.add(".tgz");
		COMPRESSED_FORMAT.add(".7z");
		COMPRESSED_FORMAT.add(".xz");
	}
	//分析结果类型

	//许可协议对应的检测结果
	public final static Map<String, String>  LINCEN_RESULT = new HashMap<String, String>();

	static {
		LINCEN_RESULT.put("BSD", "1. 如果再发布的产品中包含源代码，则在源代码中必须带有原来代码中的BSD协议。\n" +
				                 "2. 如果再发布的只是二进制类库/软件，则需要在类库/软件的文档和版权声明中包含原来代码中的BSD协议。\n" +
				                 "3. 不可以用开源代码的作者/机构名字和原来产品的名字做市场推广。");
		LINCEN_RESULT.put("Apache License","1. 需要给代码的用户一份Apache Licence\n" +
				                           "2. 如果你修改了代码，需要再被修改的文件中说明。\n" +
				                           "3. 在延伸的代码中（修改和有源代码衍生的代码中）需要带有原来代码中的协议，商标，专利声明和其他原来作者规定需要包含的说明。\n" +
				                           "4. 如果再发布的产品中包含一个Notice文件，则在Notice文件中需要带有Apache Licence。你可以在Notice中增加自己的许可，但不可以表现为对Apache Licence构成更改。");
		LINCEN_RESULT.put("GNU General Public License","不允许修改后和衍生的代码做为闭源的商业软件发布和销售");
		LINCEN_RESULT.put("GNU Lesser General Public License","可以被商业软件作为类库引用并发布和销售");
		LINCEN_RESULT.put("MIT","必须在你的发行版里包含原许可协议的声明");
	}



	//语言后缀与语言类型
	public final static Map<String, String>  SUFFIX_LANG = new HashMap<String, String>();

	static {
		SUFFIX_LANG.put(".java", "Java");
		SUFFIX_LANG.put(".c", "C");
		SUFFIX_LANG.put(".h", "C");
		SUFFIX_LANG.put(".cpp", "Cpp");//C++
		//add by 2022/07/13
		SUFFIX_LANG.put(".hpp", "Cpp");//C++
		SUFFIX_LANG.put(".cs", "Cs");//C#
		SUFFIX_LANG.put(".m", "OC");//Objective-C
		//add by 2022/07/13
		SUFFIX_LANG.put(".mm", "OC");//Objective-C
		SUFFIX_LANG.put(".py", "Python");
		SUFFIX_LANG.put(".go", "Golang");
		SUFFIX_LANG.put(".pl", "Perl");
		SUFFIX_LANG.put(".rb", "Ruby");
		SUFFIX_LANG.put(".php", "PHP");
		SUFFIX_LANG.put(".sql", "Plsql");//PL/SQL
		SUFFIX_LANG.put(".abap", "Abap");
		SUFFIX_LANG.put(".lua", "Lua");
		SUFFIX_LANG.put(".erl", "Erlang");
		SUFFIX_LANG.put(".swift", "Swift");
		SUFFIX_LANG.put(".groovy", "Groovy");
		SUFFIX_LANG.put(".frm", "VB");//VB.net
		SUFFIX_LANG.put(".bas", "VB");
		SUFFIX_LANG.put(".cls", "VB");
		SUFFIX_LANG.put(".ctl", "VB");
		SUFFIX_LANG.put(".vb", "VB");
		SUFFIX_LANG.put(".vbs", "VB");
		SUFFIX_LANG.put(".pp", "Puppet");
		SUFFIX_LANG.put(".clj", "Clojure");
		SUFFIX_LANG.put(".fs", "F");//F#
		SUFFIX_LANG.put(".fsx", "F");//F#
		SUFFIX_LANG.put(".fsscript", "F");//F#
		SUFFIX_LANG.put(".hs", "Haskell");
		SUFFIX_LANG.put(".js", "Javascript");
		SUFFIX_LANG.put(".ts", "Typescript");
		SUFFIX_LANG.put(".r", "R");
		//add by 2022/07/13
		SUFFIX_LANG.put(".R", "R");
		SUFFIX_LANG.put(".sc", "Scala");
		SUFFIX_LANG.put(".scala", "Scala");
		//add by 2022/07/13
		SUFFIX_LANG.put(".pas", "Pascal");
		SUFFIX_LANG.put(".cob", "Cobol");
		SUFFIX_LANG.put(".as", "ActionScript");
		SUFFIX_LANG.put(".rs", "Rust");
		SUFFIX_LANG.put(".ino", "Arduino");
		SUFFIX_LANG.put(".asm", "Assembly");
		SUFFIX_LANG.put(".f", "Fortran");
		SUFFIX_LANG.put(".f90", "Fortran");
		SUFFIX_LANG.put(".sh", "Shell");
		SUFFIX_LANG.put(".html", "Html");
		SUFFIX_LANG.put(".htm", "Html");
		SUFFIX_LANG.put(".css", "Css");
		SUFFIX_LANG.put(".rpg", "Rpg");
		SUFFIX_LANG.put(".xml", "Xml");
		SUFFIX_LANG.put(".pli", "Pli");//PL/I
		SUFFIX_LANG.put(".p","OpenEdge");//OpenEdge
		SUFFIX_LANG.put(".abl","OpenEdge");//OpenEdge
		//SUFFIX_LANG.put(".jar", "Jar");
		//SUFFIX_LANG.put(".war", "War");
	}
	//语言后缀与语言类型
	public final static Map<String, String>  SUFFIX_LANG1 = new HashMap<String, String>();

	static {
		SUFFIX_LANG1.put(".java", "java");
		SUFFIX_LANG1.put(".c", "c");
		SUFFIX_LANG1.put(".h", "c");
		SUFFIX_LANG1.put(".cpp", "c++");//C++
		//add by 2022/07/13
		SUFFIX_LANG1.put(".hpp", "c++");//C++
		SUFFIX_LANG1.put(".cs", "c#");//C#
		SUFFIX_LANG1.put(".m", "Objective-C");//Objective-C
		//add by 2022/07/13
		SUFFIX_LANG1.put(".mm", "Objective-C");//Objective-C
		SUFFIX_LANG1.put(".py", "python");
		SUFFIX_LANG1.put(".go", "go");
		SUFFIX_LANG1.put(".pl", "perl");
		SUFFIX_LANG1.put(".rb", "ruby");
		SUFFIX_LANG1.put(".php", "php");
		SUFFIX_LANG1.put(".sql", "plsql");//PL/SQL
		SUFFIX_LANG1.put(".abap", "abap");
		SUFFIX_LANG1.put(".lua", "lua");
		SUFFIX_LANG1.put(".erl", "erlang");
		SUFFIX_LANG1.put(".swift", "swift");
		SUFFIX_LANG1.put(".groovy", "groovy");
		SUFFIX_LANG1.put(".frm", "vb");//VB.net
		SUFFIX_LANG1.put(".bas", "vb");
		SUFFIX_LANG1.put(".cls", "vb");
		SUFFIX_LANG1.put(".ctl", "vb");
		SUFFIX_LANG1.put(".vb", "vb");
		SUFFIX_LANG1.put(".vbs", "vb");
		SUFFIX_LANG1.put(".pp", "puppet");
		SUFFIX_LANG1.put(".clj", "clojure");
		SUFFIX_LANG1.put(".fs", "f");//F#
		SUFFIX_LANG1.put(".fsx", "f");//F#
		SUFFIX_LANG1.put(".fsscript", "f");//F#
		SUFFIX_LANG1.put(".hs", "haskell");
		SUFFIX_LANG1.put(".js", "javaScript");
		SUFFIX_LANG1.put(".ts", "typeScript");
		SUFFIX_LANG1.put(".r", "r");
		//add by 2022/07/13
		SUFFIX_LANG1.put(".R", "r");
		SUFFIX_LANG1.put(".sc", "scala");
		SUFFIX_LANG1.put(".scala", "scala");
		//add by 2022/07/13
		SUFFIX_LANG1.put(".pas", "pascal");
		SUFFIX_LANG1.put(".cob", "cobol");
		SUFFIX_LANG1.put(".as", "actionScript");
		SUFFIX_LANG1.put(".rs", "rust");
		SUFFIX_LANG1.put(".ino", "arduino");
		SUFFIX_LANG1.put(".asm", "assembly");
		SUFFIX_LANG1.put(".f", "fortran");
		SUFFIX_LANG1.put(".f90", "fortran");
		SUFFIX_LANG1.put(".sh", "shell");
		SUFFIX_LANG1.put(".html", "html");
		SUFFIX_LANG1.put(".htm", "html");
		SUFFIX_LANG1.put(".css", "css");
		SUFFIX_LANG1.put(".rpg", "rpg");
		SUFFIX_LANG1.put(".xml", "xml");
		SUFFIX_LANG1.put(".pli", "pli");//PL/I
		SUFFIX_LANG1.put(".p","OpenEdge");//OpenEdge
		SUFFIX_LANG1.put(".abl","OpenEdge");//OpenEdge
		//SUFFIX_LANG.put(".jar", "Jar");
		//SUFFIX_LANG.put(".war", "War");
	}
	//文件后缀对应的solr特征库库名称
	public final static Map<String, String>  SUFFIX_SOLR_FILE = new HashMap<String, String>();

	static {
		SUFFIX_SOLR_FILE.put("java", "Java_CutFileInfo");
		SUFFIX_SOLR_FILE.put("c", "C_CutFileInfo");
		SUFFIX_SOLR_FILE.put("h", "C_CutFileInfo");
		SUFFIX_SOLR_FILE.put("cpp", "Cpp_CutFileInfo");//C++
		SUFFIX_SOLR_FILE.put("hpp", "Cpp_CutFileInfo");//C++
		SUFFIX_SOLR_FILE.put("cs", "Cs_CutFileInfo");//C#
		SUFFIX_SOLR_FILE.put("m", "OC_CutFileInfo");//Objective-C
		SUFFIX_SOLR_FILE.put("mm", "OC_CutFileInfo");//Objective-C
		SUFFIX_SOLR_FILE.put("py", "Python_CutFileInfo");
		SUFFIX_SOLR_FILE.put("go", "Golang_CutFileInfo");
		SUFFIX_SOLR_FILE.put("pl", "Perl_CutFileInfo");
		SUFFIX_SOLR_FILE.put("rb", "Ruby_CutFileInfo");
		SUFFIX_SOLR_FILE.put("php", "PHP_CutFileInfo");
		SUFFIX_SOLR_FILE.put("sql", "Plsql_CutFileInfo");//PL/SQL
		SUFFIX_SOLR_FILE.put("abap", "Abap_CutFileInfo");
		SUFFIX_SOLR_FILE.put("lua", "Lua_CutFileInfo");
		SUFFIX_SOLR_FILE.put("erl", "Erlang_CutFileInfo");
		SUFFIX_SOLR_FILE.put("swift", "Swift_CutFileInfo");
		SUFFIX_SOLR_FILE.put("groovy", "Groovy_CutFileInfo");
		SUFFIX_SOLR_FILE.put("frm", "VB_CutFileInfo");//VB.net
		SUFFIX_SOLR_FILE.put("bas", "VB_CutFileInfo");
		SUFFIX_SOLR_FILE.put("cls", "VB_CutFileInfo");
		SUFFIX_SOLR_FILE.put("ctl", "VB_CutFileInfo");
		SUFFIX_SOLR_FILE.put("vb", "VB_CutFileInfo");
		SUFFIX_SOLR_FILE.put("vbs", "VB_CutFileInfo");
		SUFFIX_SOLR_FILE.put("pp", "Puppet_CutFileInfo");
		SUFFIX_SOLR_FILE.put("clj", "Clojure_CutFileInfo");
		SUFFIX_SOLR_FILE.put("fs", "F_CutFileInfo");//F#
		SUFFIX_SOLR_FILE.put("fsx", "F_CutFileInfo");//F#
		SUFFIX_SOLR_FILE.put("fsscript", "F_CutFileInfo");//F#
		SUFFIX_SOLR_FILE.put("hs", "Haskell_CutFileInfo");
		SUFFIX_SOLR_FILE.put("js", "Javascript_CutFileInfo");
		SUFFIX_SOLR_FILE.put("ts", "Typescript_CutFileInfo");
		SUFFIX_SOLR_FILE.put("r", "R_CutFileInfo");
		SUFFIX_SOLR_FILE.put("R", "R_CutFileInfo");
		SUFFIX_SOLR_FILE.put("sc", "Scala_CutFileInfo");
		SUFFIX_SOLR_FILE.put("scala", "Scala_CutFileInfo");
		SUFFIX_SOLR_FILE.put("pas", "Pascal_CutFileInfo");
		SUFFIX_SOLR_FILE.put("cob", "Cobol_CutFileInfo");
		SUFFIX_SOLR_FILE.put("as", "ActionScript_CutFileInfo");
		SUFFIX_SOLR_FILE.put("rs", "Rust_CutFileInfo");
		SUFFIX_SOLR_FILE.put("ino", "Arduino_CutFileInfo");
		SUFFIX_SOLR_FILE.put("asm", "Assembly_CutFileInfo");
		SUFFIX_SOLR_FILE.put("f", "Fortran_CutFileInfo");
		SUFFIX_SOLR_FILE.put("f90", "Fortran_CutFileInfo");
		SUFFIX_SOLR_FILE.put("sh", "Shell_CutFileInfo");
		SUFFIX_SOLR_FILE.put("html", "Html_CutFileInfo");
		SUFFIX_SOLR_FILE.put("htm", "Html_CutFileInfo");
		SUFFIX_SOLR_FILE.put("css", "Css_CutFileInfo");
		SUFFIX_SOLR_FILE.put("rpg", "Rpg_CutFileInfo");
		SUFFIX_SOLR_FILE.put("xml", "Xml_CutFileInfo");
		SUFFIX_SOLR_FILE.put("pli", "Pli_CutFileInfo");//PL/I
	}
	//文件后缀对应的solr文件库库名称
	public final static Map<String, String>  SUFFIX_SOLR_VERSION = new HashMap<String, String>();

	static {
		SUFFIX_SOLR_VERSION.put("java", "Java_SourceFileBase");
		SUFFIX_SOLR_VERSION.put("c", "C_SourceFileBase");
		SUFFIX_SOLR_VERSION.put("h", "C_SourceFileBase");
		SUFFIX_SOLR_VERSION.put("cpp", "Cpp_SourceFileBase");//C++
		SUFFIX_SOLR_VERSION.put("hpp", "Cpp_SourceFileBase");//C++
		SUFFIX_SOLR_VERSION.put("cs", "Cs_SourceFileBase");//C#
		SUFFIX_SOLR_VERSION.put("m", "OC_SourceFileBase");//Objective-C
		SUFFIX_SOLR_VERSION.put("mm", "OC_SourceFileBase");//Objective-C
		SUFFIX_SOLR_VERSION.put("py", "Python_SourceFileBase");
		SUFFIX_SOLR_VERSION.put("go", "Golang_SourceFileBase");
		SUFFIX_SOLR_VERSION.put("pl", "Perl_SourceFileBase");
		SUFFIX_SOLR_VERSION.put("rb", "Ruby_SourceFileBase");
		SUFFIX_SOLR_VERSION.put("php", "PHP_SourceFileBase");
		SUFFIX_SOLR_VERSION.put("sql", "Plsql_SourceFileBase");//PL/SQL
		SUFFIX_SOLR_VERSION.put("abap", "Abap_SourceFileBase");
		SUFFIX_SOLR_VERSION.put("lua", "Lua_SourceFileBase");
		SUFFIX_SOLR_VERSION.put("erl", "Erlang_SourceFileBase");
		SUFFIX_SOLR_VERSION.put("swift", "Swift_SourceFileBase");
		SUFFIX_SOLR_VERSION.put("groovy", "Groovy_SourceFileBase");
		SUFFIX_SOLR_VERSION.put("frm", "VB_SourceFileBase");//VB.net
		SUFFIX_SOLR_VERSION.put("bas", "VB_SourceFileBase");
		SUFFIX_SOLR_VERSION.put("cls", "VB_SourceFileBase");
		SUFFIX_SOLR_VERSION.put("ctl", "VB_SourceFileBase");
		SUFFIX_SOLR_VERSION.put("vb", "VB_SourceFileBase");
		SUFFIX_SOLR_VERSION.put("vbs", "VB_SourceFileBase");
		SUFFIX_SOLR_VERSION.put("pp", "Puppet_SourceFileBase");
		SUFFIX_SOLR_VERSION.put("clj", "Clojure_SourceFileBase");
		SUFFIX_SOLR_VERSION.put("fs", "F_SourceFileBase");//F#
		SUFFIX_SOLR_VERSION.put("fsx", "F_SourceFileBase");//F#
		SUFFIX_SOLR_VERSION.put("fsscript", "F_SourceFileBase");//F#
		SUFFIX_SOLR_VERSION.put("hs", "Haskell_SourceFileBase");
		SUFFIX_SOLR_VERSION.put("js", "Javascript_SourceFileBase");
		SUFFIX_SOLR_VERSION.put("ts", "Typescript_SourceFileBase");
		SUFFIX_SOLR_VERSION.put("r", "R_SourceFileBase");
		SUFFIX_SOLR_VERSION.put("R", "R_SourceFileBase");
		SUFFIX_SOLR_VERSION.put("sc", "Scala_SourceFileBase");
		SUFFIX_SOLR_VERSION.put("scala", "Scala_SourceFileBase");
		SUFFIX_SOLR_VERSION.put("pas", "Pascal_SourceFileBase");
		SUFFIX_SOLR_VERSION.put("cob", "Cobol_SourceFileBase");
		SUFFIX_SOLR_VERSION.put("as", "ActionScript_SourceFileBase");
		SUFFIX_SOLR_VERSION.put("rs", "Rust_SourceFileBase");
		SUFFIX_SOLR_VERSION.put("ino", "Arduino_SourceFileBase");
		SUFFIX_SOLR_VERSION.put("asm", "Assembly_SourceFileBase");
		SUFFIX_SOLR_VERSION.put("f", "Fortran_SourceFileBase");
		SUFFIX_SOLR_VERSION.put("f90", "Fortran_SourceFileBase");
		SUFFIX_SOLR_VERSION.put("sh", "Shell_SourceFileBase");
		SUFFIX_SOLR_VERSION.put("html", "Html_SourceFileBase");
		SUFFIX_SOLR_VERSION.put("htm", "Html_SourceFileBase");
		SUFFIX_SOLR_VERSION.put("css", "Css_SourceFileBase");
		SUFFIX_SOLR_VERSION.put("rpg", "Rpg_SourceFileBase");
		SUFFIX_SOLR_VERSION.put("xml", "Xml_SourceFileBase");
		SUFFIX_SOLR_VERSION.put("pli", "Pli_SourceFileBase");//PL/I
//		SUFFIX_SOLR_VERSION.put(".class", "mavenBinaryVersionTree");//class二进制文件
//		SUFFIX_SOLR_VERSION.put(".jar", "mavenBinaryVersionTree");//class二进制文件
//		SUFFIX_SOLR_VERSION.put(".dll", "nugetBinaryVersionTree");//dll二进制文件
	}
	public final static Map<String, String>  SUFFIX_BIN = new HashMap<String, String>();

	static {
		SUFFIX_BIN.put(".class", "java");
		SUFFIX_BIN.put(".dll", "c++");
	}
	public final static Map<String, String>  SUFFIX_BIN_SOLR = new HashMap<String, String>();

	static {
		SUFFIX_BIN_SOLR.put(".class", "mavenBinaryVersionTree");
		SUFFIX_BIN_SOLR.put(".dll", "nugetBinaryVersionTree");
	}

	public final static Map<String, String>  SUFFIX_TFILE = new HashMap<String, String>();

	static {
		SUFFIX_TFILE.put(".c", "C");
		SUFFIX_TFILE.put(".cc", "C++");
		SUFFIX_TFILE.put(".cpp", "C++");
		SUFFIX_TFILE.put(".cs", "C#");
	}
	public final static Map<String, Integer>  CVE_LEVE = new HashMap<String, Integer>();

	static {
		CVE_LEVE.put("HIGH", 2);
		CVE_LEVE.put("MEDIUM", 1);
		CVE_LEVE.put("LOW", 0);
	}


//	//系统允许的最大执行分析个数
	public static int MAX_ANALYSIS_SIZE = 0;
//
//	//系统允许的最大等待个数
	public static int MAX_WAIT_SIZE = 0;

//	//正在执行的任务个数
	public static int IN_PROGRESS_NUM = 0;


}
