package com.keyware.composeanalysis.mongo;

import lombok.Data;
import lombok.experimental.Accessors;
import org.springframework.data.annotation.Id;
import org.springframework.data.mongodb.core.mapping.Document;

import java.io.Serializable;
import java.util.Date;

@Document(collection = "file_data")
@Data
@Accessors(chain =true)
public class FileDataMongoDto implements Serializable {

    @Id
    private String id;

    //文件名称
    private String name;

    //文件的MD5
    private String md5;

    /**
     * 场景1： 文件级别匹配 ：成功后 赋值
     */
    //文件特征MD5
    @Deprecated
    private String cutMd5;

    //文件大小, 单位是字节
    private Integer fileSize;

    //代码行数
    private Integer codeRowNum;

    //函数个数,目测无用，后期测试删除
    @Deprecated
    private Integer funCount;

    //父级目录ID
    private String pId;

    //直接获取的文件hash,暂时无用
    @Deprecated
    private String sourceMd5;

    //语言
    @Deprecated
    private String lang;

    //标识军用代码(1:军用代码；2:民用代码)
    @Deprecated
    private String militaryType;

    //是否是目录(0:false;  1:true)
    private Boolean isDirectory;

    //文件分析状态（0：未分析;1:文件级已分析同时匹配到数据 2:文件级未匹配到需要行级别提取 3:行级别提取完成 4:分析失败 5:暂停分析 6:成分分析完成）
    private Integer fileAnalysisStatus;

    //关联的文件ID
    @Deprecated
    private String testFileId;

    //创建时间
    private Date createTime;

    //文件地址
    private String fileUrl;

    //文件后缀
    private String suffix;

    //组件分析是否完成(0:否 1:是)
    private String assFlag;

    //许可证分析是否完成(0:否 1:是)
    private String licenceFlag;

    //漏洞分析是否完成(0:否 1:是)
    private String holdFlag;

    //文件开源率
    private Float openRate = 0f;

    /**
     * 场景1： 文件级别匹配 ：  使用 文件特征MD5 或者 源文件md5匹配中 文件匹配成功后，直接设置为文件的总行数
     */
    //文件开源代码行数
    private Integer  openLineCount = 0;

    //文件开源类型 (false:自研   true:开源)
    private Boolean openType = false;

    //当前文件是否在分析中
    //充当文件分析状态的第二个字段，0：刚刚解压完成
    /**
     * 场景1：刚刚解压完成 赋值为 0
     * 场景2： 文件级分析完，但是没有分析到结果，还需要进行下一级的分析，赋值为 1
     */
    @Deprecated
    private String isSelect;

}
