package com.keyware.composeanalysis.mongo;

import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.data.annotation.Id;
import org.springframework.data.mongodb.core.mapping.Document;
import org.springframework.data.mongodb.core.mapping.Field;

import java.io.Serializable;

/**
 * <p>
 * 項目的版本信息
 * </p>
 *
 * @author liuzongren
 * @since 2024-07-23
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Document(collection = "VERSIONBASEDATA")
public class VersionbasedataMongoDto implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    @Id
    private String id;

    /**
     * 版本ID
     */
    @Field("ID")
    private String versionId;

    /**
     * pid 项目ID
     */
    @Field("PID")
    private String projectId;

    /**
     * 版本名称
     */
    @Field("NAME")
    private String versionName;

    /**
     * 版本下载地址
     */
    @Field("DOWNURL")
    private String downloadUrl;

    /**
     * 項目的相对路径
     */
    @Field("PATH")
    private String path;

    /**
     * 创建时间
     */
    @Field("CREATE_TIME")
    private String createTime;

    /**
     * 版本描述
     */
    @Field("DESCRIBE")
    private String description;


}
