package com.keyware.composeanalysis.solr;

import lombok.Data;
import lombok.experimental.Accessors;

import java.util.Arrays;
import java.util.List;

/**
 * @author liuzongren
 * @date 2024/7/26
 * @Description  solr 库 VersionTree树信息 ，保存项目的整体信息
 */
@Data
@Accessors(chain = true)
public class VersionTree {

    /**
     * 项目ID
     */
    private String proId;

    /**
     * 项目名称
     */
    private String proName;

    /**
     * 项目编号
     */
    private String versionId;

    /**
     * 项目版本
     */
    private String versionName;

    /**
     * 项目地址
     */
    private String downUrl;

    public void setLicenseType(String licenseType) {
        if (licenseType != null){
            this.licenseType = Arrays.asList(licenseType.split("@@@"));
        }
    }

    private  List<String> licenseType;

    /**
     * 项目所有文件的信息
     */
    private List<VersionTreeNode> dirTree;

}
