package com.keyware.composeanalysis.util;

import cn.hutool.core.date.DateTime;
import com.keyware.composeanalysis.mongo.AnalysisLogMongoDto;
import org.springframework.data.mongodb.core.MongoTemplate;
import org.springframework.scheduling.annotation.Async;

import java.io.PrintWriter;
import java.io.StringWriter;

/**
 * @author liuzongren
 * @date 2024/7/30
 * @description 分析日志工具
 */
public class AnalysisLogUtil {

    public static void insert(MongoTemplate mongoTemplate,String logInfo) {
        mongoTemplate.insert(new AnalysisLogMongoDto().setLogInfo(logInfo).setCreateTime(new DateTime()));
    }

    public static void insertErrorInfo(MongoTemplate mongoTemplate, String logInfo, Exception e) {
        mongoTemplate.insert(new AnalysisLogMongoDto().setLogInfo(logInfo + getErrorMsg(e)).setCreateTime(new DateTime()));
    }


    private static String getErrorMsg(Exception e) {
        StringWriter errors = new StringWriter();
        e.printStackTrace(new PrintWriter(errors));
        return errors.toString();
    }

}
