package com.keyware.composeanalysis.util;

import com.alibaba.fastjson.JSON;
import com.alibaba.fastjson.JSONArray;
import com.keyware.composeanalysis.solr.VersionTree;
import com.keyware.composeanalysis.solr.VersionTreeNode;
import org.apache.solr.common.SolrDocument;

import java.util.List;

/**
 * @author liuzongren
 * @date 2024/8/7
 * @description  dom 转 entity
 */
public class BeanUtil {

    public static VersionTree domToVersionTree(SolrDocument dom) {
        String dirTree = String.valueOf(dom.get("dirTree"));
        dirTree = dirTree.replace("\\", "");
        dirTree = dirTree.replace("\"{", "{");
        dirTree = dirTree.replace("}\"", "}");
        dom.put("dirTree", null);
        JSONArray treeArray = JSON.parseArray(dirTree);
        List<VersionTreeNode> treeList = treeArray.toJavaList(VersionTreeNode.class);
        String domObj = JSON.toJSONString(dom);
        VersionTree versionTree = JSON.parseObject(domObj, VersionTree.class);
        versionTree.setDirTree(treeList);
        return versionTree;
    }

}
