package com.keyware.composeanalysis.util;

import com.alibaba.fastjson.JSON;
import com.mongodb.BasicDBObject;
import org.bson.Document;
import org.bson.json.JsonWriterSettings;

/**
 * @author liuzongren
 * @date 2024/7/24
 * 类型转化工具类
 */
public class ConvertUtil {

    public <T> T documentToBean(BasicDBObject dbObject, Class<T> clzss) {
        String realJson = dbObject.toJson(JsonWriterSettings.builder().build());
        T obj = JSON.parseObject(realJson, clzss);
        return obj;
    }

    public static  <T> T documentToBean(Document document, Class<T> clzss) {
        String realJson = document.toJson(JsonWriterSettings.builder().build());
        T obj = JSON.parseObject(realJson, clzss);
        return obj;
    }

    public static <T> BasicDBObject toDBObject(T object) {
        String json = JSON.toJSONString(object);
        BasicDBObject basicDBObject = BasicDBObject.parse(json);
        return basicDBObject;
    }

    public static <T> Document beanToDocument(T object) {
        String json = JSON.toJSONString(object);
        Document document = Document.parse(json);
        return document;
    }
}
